### Class

# Ide RecentProjects

#### Description

    final class Ide.RecentProjects : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### ide_recent_projects_new

No description available.

#### Functions

###### ide_recent_projects_get_default

Gets a shared `IdeRecentProjects` instance.

Available since: 3.32

#### Instance methods

###### ide_recent_projects_find_by_directory

No description available.

###### ide_recent_projects_remove

Removes the provided projects from the recent projects file.

Available since: 3.32

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GListModel (5)

###### g_list_model_get_item

Get the item at `position`.

Available since: 2.44

###### g_list_model_get_item_type

Gets the type of the items in `list`.

Available since: 2.44

###### g_list_model_get_n_items

Gets the number of items in `list`.

Available since: 2.44

###### g_list_model_get_object

Get the item at `position`.

Available since: 2.44

###### g_list_model_items_changed

Emits the `GListModel::items-changed` signal on `list`.

Available since: 2.44

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from GListModel (1)

###### Gio.ListModel::items-changed

This signal is emitted whenever items were added to or removed from `list`. At `position`, `removed` items were removed and `added` items were added in their place.

Available since: 2.44

#### Class structure

    struct IdeRecentProjectsClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.